Api latest docs
sim-card
list
Display an individual :model:sms.SimCard.
Context
SimCard
An instance of :model:sms.SimCard.
Query Parameters
The following parameters should be included as part of a URL query string.
| Parameter | Description |
|---|---|
cursor | The pagination cursor value. |
create
Display an individual :model:sms.SimCard.
Context
SimCard
An instance of :model:sms.SimCard.
Request Body
The request body should be a "application/json" encoded object, containing the following items.
| Parameter | Description |
|---|---|
serial_number required | |
current_device | |
phone_number required | Must be in format of E164 |
network_country_iso | |
country_iso | |
sim_operator | |
sim_operator_name | |
sim_serial_number | |
software_version | |
voice_mail_number | |
roaming |
read
Display an individual :model:sms.SimCard.
Context
SimCard
An instance of :model:sms.SimCard.
Path Parameters
The following parameters should be included in the URL path.
| Parameter | Description |
|---|---|
id required | A unique value identifying this Sim Card. |
update
Display an individual :model:sms.SimCard.
Context
SimCard
An instance of :model:sms.SimCard.
Path Parameters
The following parameters should be included in the URL path.
| Parameter | Description |
|---|---|
id required | A unique value identifying this Sim Card. |
Request Body
The request body should be a "application/json" encoded object, containing the following items.
| Parameter | Description |
|---|---|
serial_number required | |
current_device | |
phone_number required | Must be in format of E164 |
network_country_iso | |
country_iso | |
sim_operator | |
sim_operator_name | |
sim_serial_number | |
software_version | |
voice_mail_number | |
roaming |
partial_update
Display an individual :model:sms.SimCard.
Context
SimCard
An instance of :model:sms.SimCard.
Path Parameters
The following parameters should be included in the URL path.
| Parameter | Description |
|---|---|
id required | A unique value identifying this Sim Card. |
Request Body
The request body should be a "application/json" encoded object, containing the following items.
| Parameter | Description |
|---|---|
serial_number | |
current_device | |
phone_number | Must be in format of E164 |
network_country_iso | |
country_iso | |
sim_operator | |
sim_operator_name | |
sim_serial_number | |
software_version | |
voice_mail_number | |
roaming |
delete
Display an individual :model:sms.SimCard.
Context
SimCard
An instance of :model:sms.SimCard.
Path Parameters
The following parameters should be included in the URL path.
| Parameter | Description |
|---|---|
id required | A unique value identifying this Sim Card. |
sms-in
list
SmsIn
Query Parameters
The following parameters should be included as part of a URL query string.
| Parameter | Description |
|---|---|
cursor | The pagination cursor value. |
create
SmsIn
Request Body
The request body should be a "application/json" encoded object, containing the following items.
| Parameter | Description |
|---|---|
sim_card required | |
from_number required | The phone number on which the sms was originally sent out. |
text required | The received message (sms). |
received_at required | The datetime at which the message was received with the device. |
updated_counter | |
created_at |
read
SmsIn
Path Parameters
The following parameters should be included in the URL path.
| Parameter | Description |
|---|---|
id required | A unique value identifying this sms in. |
update
SmsIn
Path Parameters
The following parameters should be included in the URL path.
| Parameter | Description |
|---|---|
id required | A unique value identifying this sms in. |
Request Body
The request body should be a "application/json" encoded object, containing the following items.
| Parameter | Description |
|---|---|
sim_card required | |
from_number required | The phone number on which the sms was originally sent out. |
text required | The received message (sms). |
received_at required | The datetime at which the message was received with the device. |
updated_counter | |
created_at |
partial_update
SmsIn
Path Parameters
The following parameters should be included in the URL path.
| Parameter | Description |
|---|---|
id required | A unique value identifying this sms in. |
Request Body
The request body should be a "application/json" encoded object, containing the following items.
| Parameter | Description |
|---|---|
sim_card | |
from_number | The phone number on which the sms was originally sent out. |
text | The received message (sms). |
received_at | The datetime at which the message was received with the device. |
updated_counter | |
created_at |
delete
SmsIn
Path Parameters
The following parameters should be included in the URL path.
| Parameter | Description |
|---|---|
id required | A unique value identifying this sms in. |
sms-out
list
SmsOut
Query Parameters
The following parameters should be included as part of a URL query string.
| Parameter | Description |
|---|---|
cursor | The pagination cursor value. |
create
SmsOut
Request Body
The request body should be a "application/json" encoded object, containing the following items.
| Parameter | Description |
|---|---|
sim_card required | |
to_number required | Receiver phone number |
text required | Message |
sent_out_updated_at | |
sent_out_state | |
max_delivery_date | |
updated_counter | |
created_at |
read
SmsOut
Path Parameters
The following parameters should be included in the URL path.
| Parameter | Description |
|---|---|
id required | A unique value identifying this sms out. |
update
SmsOut
Path Parameters
The following parameters should be included in the URL path.
| Parameter | Description |
|---|---|
id required | A unique value identifying this sms out. |
Request Body
The request body should be a "application/json" encoded object, containing the following items.
| Parameter | Description |
|---|---|
sim_card required | |
to_number required | Receiver phone number |
text required | Message |
sent_out_updated_at | |
sent_out_state | |
max_delivery_date | |
updated_counter | |
created_at |
partial_update
SmsOut
Path Parameters
The following parameters should be included in the URL path.
| Parameter | Description |
|---|---|
id required | A unique value identifying this sms out. |
Request Body
The request body should be a "application/json" encoded object, containing the following items.
| Parameter | Description |
|---|---|
sim_card | |
to_number | Receiver phone number |
text | Message |
sent_out_updated_at | |
sent_out_state | |
max_delivery_date | |
updated_counter | |
created_at |
delete
SmsOut
Path Parameters
The following parameters should be included in the URL path.
| Parameter | Description |
|---|---|
id required | A unique value identifying this sms out. |